<?php

namespace plugin\inspection\controller\api\auth;

use plugin\inspection\controller\api\Auth;

class Staff extends Auth
{
    public function check() {
        if (!$this->tokenInfo) {
            $this->error('请重新登录', [], 401);
        }
        if ($this->tokenInfo->is_admin != 1) {
            $this->success('登录成功', [
                'is_admin' => false,
                'token' => $this->tokenInfo->token,
                'user' => $this->staff
            ]);
        } else {
            $this->success('登录成功', [
                'is_admin' => true,
                'token' => $this->tokenInfo->token,
                'user' => $this->user
            ]);
        }
    }

    public function logout() {
        $this->staff->tokens()->delete();
        $this->success('退出成功');
    }
}